<div class="container">
    <app-nav-bar></app-nav-bar>
    <h2>Product List</h2>
    <button type="button" 
        (click)="openFormDialog()" 
        mat-raised-button color="primary" 
        class="button">
        Add new product
    </button>

    <ng-container>
        <div class="grid-wrapper">
            <app-products-table
                [items$]="products$"
                [columnDefs]="columnDefsProducts">
            </app-products-table>
        </div>
    </ng-container>
</div>



